SingleJmsMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.SingleJmsMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class SingleJmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.jms.JmsMessageReceiver
                  org.mule.transport.jms.SingleJmsMessageReceiver

All Implemented Interfaces:
  ExceptionListener, MessageListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class SingleJmsMessageReceiver

extends JmsMessageReceiver
implements MessageListener

Registers a single Jms MessageListener for an endpoint

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.transport.jms.JmsMessageReceiver
`JmsMessageReceiver.JmsWorker`

Field Summary

Fields inherited from class org.mule.transport.jms.JmsMessageReceiver
`connector, consumer, redeliveryHandler, session, startOnConnect`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, disposed, endpoint, logger, retryTemplate, started`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`SingleJmsMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`void` | `onMessage(Message message)`

Methods inherited from class org.mule.transport.jms.JmsMessageReceiver
`closeConsumer, createConsumer, doConnect, doDisconnect, doDispose, doStart, doStop`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### SingleJmsMessageReceiver

    public SingleJmsMessageReceiver(Connector connector,
                                    Service service,
                                    InboundEndpoint endpoint)
                             throws CreateException

Throws:
  `CreateException`

Method Detail

### onMessage

    public void onMessage(Message message)

  Specified by:
    `onMessage` in interface `MessageListener`
  Overrides:
    `onMessage` in class `JmsMessageReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.